Cyberduck Mountain Duck CLI

#1834 closed defect (wontfix)

Parser fails for listing with filenames only (I-Drive FTP)

Reported by: tim@… Owned by: dkocher
Priority: low Milestone:
Component: ftp Version: 2.8.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Hi,

CyberDuck works great on all my FTP sites I use, except one. It does not display the folder contents in the list. I can go into a folder by setting the Bookmark Path field manually, and I can upload into the folder. I just don't get the list of files in the folder.

I have included the Log data, tell me if what else you need to know.

Keep up the great work :-)

Transcript from Log Draw.

220 I-Drive FTP server ready.
USER developer
230 User developer logged in.
SYST
215 UNIX Type: L8
NOOP
200 NOOP command successful.
CWD /Enterprise Web Solutions/Uploads
250 CWD command successful.
PORT 192,168,2,40,196,186
200 PORT command successful.
LIST -a
150 Opening ASCII mode data connection for 'file list'.
.
..
DAP v1-2
DAPEditor.swf
226 Transfer complete.

Change History (5)

comment:1 Changed on Mar 3, 2008 at 9:16:24 AM by dkocher

  • Component changed from core to ftp
  • Description modified (diff)

comment:2 Changed on Mar 25, 2008 at 3:57:58 PM by mbenchoff@…

I have the same issue, more or less. There are a few folders that never appear, but they are listed when I view the log drawer. Any other FTP client works properly, as does connecting via Terminal.

comment:3 Changed on May 11, 2008 at 10:39:22 AM by dkocher

  • Milestone set to 3.1
  • Status changed from new to assigned
  • Summary changed from File List Not Displaying in List, 'file list' data visible in Log. to Parser fails for listing with filenames only

comment:4 Changed on Jul 16, 2008 at 10:58:29 PM by dkocher

  • Milestone 3.0.2 deleted
  • Priority changed from high to low
  • Severity changed from major to normal
  • Summary changed from Parser fails for listing with filenames only to Parser fails for listing with filenames only (I-Drive FTP)

comment:5 Changed on Nov 20, 2010 at 5:38:08 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

The server should produce a file listing that at least resembles the output of the output of ls on UNIX if it advertises itself so in response to SYST. Please report to the server vendor.

Note: See TracTickets for help on using tickets.
swiss made software